package com.qmth.sop.business.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 自定义流程实体数据
 * </p>
 *
 * @author wangliang
 * @since 2023-07-17
 */
@ApiModel(value = "TFCustomFlowEntity对象", description = "自定义流程实体数据")
public class TFCustomFlowEntity extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "自定义流程id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long tFCustomFlowId;

    @ApiModelProperty(value = "crm单号")
    private String crmNo;

    @ApiModelProperty(value = "编号")
    private String code;

    @ApiModelProperty(value = "实体id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long objId;

    @ApiModelProperty(value = "流程id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long flowId;

    @ApiModelProperty(value = "流程过程变量")
    private String flowProcessVar;

    public TFCustomFlowEntity() {

    }

    public TFCustomFlowEntity(Long tFCustomFlowId, Long userId, String code, String crmNo) {
        this.tFCustomFlowId = tFCustomFlowId;
        this.code = code;
        this.crmNo = crmNo;
        this.insertInfo(userId);
    }

    public String getCrmNo() {
        return crmNo;
    }

    public void setCrmNo(String crmNo) {
        this.crmNo = crmNo;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Long getObjId() {
        return objId;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long gettFCustomFlowId() {
        return tFCustomFlowId;
    }

    public void settFCustomFlowId(Long tFCustomFlowId) {
        this.tFCustomFlowId = tFCustomFlowId;
    }

    public Long getFlowId() {
        return flowId;
    }

    public void setFlowId(Long flowId) {
        this.flowId = flowId;
    }

    public String getFlowProcessVar() {
        return flowProcessVar;
    }

    public void setFlowProcessVar(String flowProcessVar) {
        this.flowProcessVar = flowProcessVar;
    }
}
